AddTicketMessage
POST
/support/v1/tickets/{ticket_id}/messagesPath Parameters
ticket_id*ticket_id
The ticket_id path parameter.
Request Body
requiredapplication/json{
"body": "Any update on this?"
}body?string
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/support.v1.AddTicketMessageResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.TicketMessage",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Ms9Zx1Cv7B"
],
"title": "id"
},
"ticket_id": {
"type": "string",
"examples": [
"Kp3Lm8Qr2Z"
],
"title": "ticket_id"
},
"author_id": {
"type": "string",
"examples": [
"Us1234abcd"
],
"title": "author_id"
},
"author_type": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.MessageAuthor",
"$ref-value": {
"type": "string",
"title": "MessageAuthor",
"enum": [
"MESSAGE_AUTHOR_UNSPECIFIED",
"MESSAGE_AUTHOR_CUSTOMER",
"MESSAGE_AUTHOR_AGENT",
"MESSAGE_AUTHOR_SYSTEM"
]
}
}
],
"examples": [
"MESSAGE_AUTHOR_CUSTOMER"
],
"title": "author_type"
},
"body": {
"type": "string",
"examples": [
"My invoice download returns a 404."
],
"title": "body"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "TicketMessage",
"additionalProperties": false
}
}
],
"title": "message"
}
},
"title": "AddTicketMessageResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/support/v1/tickets/Kp3Lm8Qr2Z/messages" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/support.v1.AddTicketMessageResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.TicketMessage",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Ms9Zx1Cv7B"
],
"title": "id"
},
"ticket_id": {
"type": "string",
"examples": [
"Kp3Lm8Qr2Z"
],
"title": "ticket_id"
},
"author_id": {
"type": "string",
"examples": [
"Us1234abcd"
],
"title": "author_id"
},
"author_type": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.MessageAuthor",
"$ref-value": {
"type": "string",
"title": "MessageAuthor",
"enum": [
"MESSAGE_AUTHOR_UNSPECIFIED",
"MESSAGE_AUTHOR_CUSTOMER",
"MESSAGE_AUTHOR_AGENT",
"MESSAGE_AUTHOR_SYSTEM"
]
}
}
],
"examples": [
"MESSAGE_AUTHOR_CUSTOMER"
],
"title": "author_type"
},
"body": {
"type": "string",
"examples": [
"My invoice download returns a 404."
],
"title": "body"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "TicketMessage",
"additionalProperties": false
}
}
],
"title": "message"
}
},
"title": "AddTicketMessageResponse",
"additionalProperties": false
}
}